---
title: Partner Integration
---

# Self Integration Documentation

These docs are designed to help integrators learn how to incorporate the SELF identity of their users into their web presence.

## Onboarding & Integration Docs

If you are new here and want to get familiar with complete onboarding process, start with our [onboarding](./onboarding.mdx) page, which guides you through our demo environment.

## Backend Interation Docs

For integrating SELF with your site's backend, see  [Backend Code ( Node.js )](./self-backend.md). This is a crucial step to complete in order to use SELF ecosystem for login or connect functionality.

## Frontend Intergation Docs

After going through backend integration, read the [Required For Login](./requiredForLogin.md) doc to intergate the `Sign in with your SELF` buttons.

## Environment Docs

For more details about backend environment variables and how to access/find them, see [Backend Environment Variables](./environment.md).
